Bug 699030 - Sierra Wireless 890 AirCard (at&t) direct IP interface not being enumerated
Sierra Wireless 890 AirCard (at&t) direct IP interface not being enumerated
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-22 13:57 EDT by David Batson
Modified: 2011-06-25 15:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-25 15:42:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Here is dmesg from Mandriva Beta 2 w/working 890 AirCard (48.36 KB, text/plain)
2011-04-24 13:11 EDT, David Batson
no flags Details
dmesg from F15 at boot up with 890 card installed (62.17 KB, application/octet-stream)
2011-04-25 12:12 EDT, David Batson
no flags Details
dmesg from F15 after configuring card with nm-connection-editor (63.09 KB, application/octet-stream)
2011-04-25 12:18 EDT, David Batson
no flags Details
SELINUX alert received when trying to connect after configuring card (2.27 KB, application/octet-stream)
2011-04-25 12:19 EDT, David Batson
no flags Details
dmesg from F15 after running selinux commands to allow (63.64 KB, application/octet-stream)
2011-04-25 12:23 EDT, David Batson
no flags Details

  None (edit)
Description David Batson 2011-04-22 13:57:24 EDT
Description of problem: My new Sierra Wireless 890 AirCard (at&t ExpressCard) is not being enumerated and I cannot connect to the internet with it. I am using the Fedora 15 Beta RC2 Live CD in 'Live' mode.

As per the Sierra Wireless website:
https://sierrawireless.custhelp.com/app/answers/detail/a_id/641/kw/linux

1) The first command # modinfo sierra > reports version: v.1.7.16
2) The second command # modinfo sierra_net > reports version version: v.2.0
3) The third command # ls /dev/ttyUSB* > reports
/dev/ttyUSB0  /dev/ttyUSB1  /dev/ttyUSB2  /dev/ttyUSB3  /dev/ttyUSB4
4) The forth command "ifconfig" > reports
em1       Link encap:Ethernet  HWaddr F0:DE:F1:4D:39:A9  
          UP BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
          Interrupt:20 Memory:d2500000-d2520000 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:340 errors:0 dropped:0 overruns:0 frame:0
          TX packets:340 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:30040 (29.3 KiB)  TX bytes:30040 (29.3 KiB)

wlan0     Link encap:Ethernet  HWaddr A0:88:B4:0F:E6:24  
          inet addr:192.168.0.3  Bcast:192.168.0.255  Mask:255.255.255.0
          inet6 addr: fe80::a288:b4ff:fe0f:e624/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1492  Metric:1
          RX packets:26676 errors:0 dropped:0 overruns:0 frame:0
          TX packets:18531 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:33423649 (31.8 MiB)  TX bytes:2230556 (2.1 MiB)

As can be seen, there are no USB devices enumerated by ifconfig.
Sierra Wireless says: "The output should resemble the following with the "usb0" being the key piece of information, ignore the remainder of the printout for now."

I suspect the Sierra Wireless kernel driver needs to be updated (see first link below).

Version-Release number of selected component (if applicable):
Kernel 2.6.38.2-9.fc15.x86_64

How reproducible:
Under Network Settings, Mobil Broadband is showing as being disconnected.  No Options are available.

Steps to Reproduce:
1. Click on Network icon in taskbar
2. Select Network Settings > Mobile Broadband tab
3. Mobile Broadband shows as "Disconnected"
  
Actual results:
Cannot connect or configure Sierra Wireless 890 Mobile Broadband AirCard

Expected results:
To be able to use my AirCard to access the internet

Additional info:
I found additional related information at the following links:
http://forum.mikrotik.com/viewtopic.php?f=1&t=49429
http://permalink.gmane.org/gmane.linux.kernel.stable/5690

Default vendor and product ID's match what I get in Windows
DefaultVendor=  0x1199
DefaultProduct= 0x68a3
I ran the command # usb_modeswitch -v 0x1199 -p 0x68a3 -S 1 -W
to be sure.
Comment 1 Chuck Ebbert 2011-04-22 14:26:02 EDT
(In reply to comment #1)
> Description of problem: My new Sierra Wireless 890 AirCard (at&t ExpressCard)
> is not being enumerated and I cannot connect to the internet with it. I am
> using the Fedora 15 Beta RC2 Live CD in 'Live' mode.
> 
> As per the Sierra Wireless website:
> https://sierrawireless.custhelp.com/app/answers/detail/a_id/641/kw/linux
> 
> 1) The first command # modinfo sierra > reports version: v.1.7.16
> 2) The second command # modinfo sierra_net > reports version version: v.2.0

And are those drivers actually loaded? What does this command report?

  # lsmod | grep sierra

> I suspect the Sierra Wireless kernel driver needs to be updated (see first link
> below).

No, it does not. Support for the Sierra (0x1199, 0x68A3) and Airprime (0x0f3d, 0x68A3) versions of that card is already in kernel 2.6.38.
Comment 2 David Batson 2011-04-22 15:19:37 EDT
[root@localhost ~]# lsmod | grep sierra
sierra                 16743  0 
usbserial              33200  1 sierra
sierra_net             10769  0 
usbnet                 23806  1 sierra_net
[root@localhost ~]#

[root@localhost ~]# lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 003: ID 147e:2016 Upek Biometric Touchchip/Touchstrip Fingerprint Sensor
Bus 001 Device 004: ID 04f2:b217 Chicony Electronics Co., Ltd 
Bus 002 Device 003: ID 0ecd:a100 Lite-On IT Corp. LDW-411SX DVD/CD Rewritable Drive
Bus 002 Device 004: ID 1199:68a3 Sierra Wireless, Inc. 
[root@localhost ~]#
Comment 3 David Batson 2011-04-22 15:44:53 EDT
Could this be a udev rules issue?

[root@localhost ~]# cat /etc/udev/rules.d/70-persistent-net.rules
# This file was automatically generated by the /lib/udev/write_net_rules
# program, run by the persistent-net-generator.rules rules file.
#
# You can modify it, as long as you keep each rule on a single
# line, and change only the value of the NAME= key.

# PCI device 0x8086:0x0085 (iwlagn)
SUBSYSTEM=="net", ACTION=="add", DRIVERS=="?*", ATTR{address}=="a0:88:b4:0f:e6:24", ATTR{dev_id}=="0x0", ATTR{type}=="1", KERNEL=="wlan*", NAME="wlan0"
[root@localhost ~]#
Comment 4 David Batson 2011-04-22 16:44:03 EDT
I unplugged my AirCard and plugged it back in.  I see the following at the end of dmesg.

[15821.047350] usb 2-1.6: new high speed USB device using ehci_hcd and address 6
[15821.123965] usb 2-1.6: config 1 has an invalid interface number: 7 but max is 5
[15821.123975] usb 2-1.6: config 1 has no interface number 5
[15821.125118] usb 2-1.6: New USB device found, idVendor=1199, idProduct=68a3
[15821.125126] usb 2-1.6: New USB device strings: Mfr=3, Product=2, SerialNumber=0
[15821.125132] usb 2-1.6: Product: AC890
[15821.125136] usb 2-1.6: Manufacturer: Sierra Wireless, Incorporated
[15821.133966] sierra 2-1.6:1.0: Sierra USB modem converter detected
[15821.134875] usb 2-1.6: Sierra USB modem converter now attached to ttyUSB0
[15821.135524] sierra 2-1.6:1.1: Sierra USB modem converter detected
[15821.136265] usb 2-1.6: Sierra USB modem converter now attached to ttyUSB1
[15821.136378] sierra 2-1.6:1.2: Sierra USB modem converter detected
[15821.136967] usb 2-1.6: Sierra USB modem converter now attached to ttyUSB2
[15821.137414] sierra 2-1.6:1.3: Sierra USB modem converter detected
[15821.137950] usb 2-1.6: Sierra USB modem converter now attached to ttyUSB3
[15821.138360] sierra 2-1.6:1.4: Sierra USB modem converter detected
[15821.138946] usb 2-1.6: Sierra USB modem converter now attached to ttyUSB4
[15821.140777] usb 2-1.6: Incompatible driver and firmware versions
[15869.309392] [drm:i915_hangcheck_ring_idle] *ERROR* Hangcheck timer elapsed... blt ring idle [waiting on 4248610, at 4248610], missed IRQ?
Comment 5 David Batson 2011-04-22 17:27:14 EDT
I found this command in the Fedora Forums thread:
http://www.fedoraforum.org/forum/showthread.php?t=261405

$ nm-connection-editor

With it I can add the settings for my Sierra Wireless 890 AirCard and turn it on, but it still won't connect.  I also notice it still is not being reported by ifconfig.
Comment 6 David Batson 2011-04-22 18:11:27 EDT
Just tried this on a Mandriva 2011 Beta 2 Live DVD and I can connect.

ifconfig reports the following in Mandriva:

[root@localhost ~]# ifconfig
eth0      Link encap:Ethernet  HWaddr F0:DE:F1:4D:39:A9  
          UP BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
          Interrupt:20 Memory:d2500000-d2520000 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:44 errors:0 dropped:0 overruns:0 frame:0
          TX packets:44 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:2702 (2.6 KiB)  TX bytes:2702 (2.6 KiB)

ppp0      Link encap:Point-to-Point Protocol  
          inet addr:166.128.146.112  P-t-P:10.64.64.64  Mask:255.255.255.255
          UP POINTOPOINT RUNNING NOARP MULTICAST  MTU:1500  Metric:1
          RX packets:2580 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1963 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:3 
          RX bytes:2807588 (2.6 MiB)  TX bytes:237197 (231.6 KiB)
Comment 7 Chuck Ebbert 2011-04-23 02:52:44 EDT
(In reply to comment #4)
> [15821.140777] usb 2-1.6: Incompatible driver and firmware versions

Do you have the latest firmware installed on that card?
Comment 9 Chuck Ebbert 2011-04-23 23:48:14 EDT
Either the firmware attributes could not be retrieved, or your device does not support DHCP:

       /* test whether firmware supports DHCP */
        if (!(status == sizeof(fwattr) && (fwattr & SWI_GET_FW_ATTR_MASK))) {
                /* found incompatible firmware version */
                dev_err(&dev->udev->dev, "Incompatible driver and firmware"
                        " versions\n");
                kfree(priv);
                return -ENODEV;
        }
Comment 10 David Batson 2011-04-24 11:38:52 EDT
(In reply to comment #9)
> Either the firmware attributes could not be retrieved, or your device does not
> support DHCP:

Well it works on the Mandriva 2011 Beta 2 Live DVD with kernel 2.6.38.3.

[live@localhost ~]$ uname -a
Linux localhost.localdomain 2.6.38.3-desktop-1mnb2 #1 SMP Sun Apr 17 01:36:10 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

[root@localhost ~]# lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 003: ID 147e:2016 Upek Biometric Touchchip/Touchstrip Fingerprint Sensor
Bus 001 Device 004: ID 04f2:b217 Chicony Electronics Co., Ltd 
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 003: ID 0ecd:a100 Lite-On IT Corp. LDW-411SX DVD/CD Rewritable Drive
Bus 002 Device 004: ID 1199:68a3 Sierra Wireless, Inc.

[root@localhost ~]# modinfo sierra
filename:       /lib/modules/2.6.38.3-desktop-1mnb2/kernel/drivers/usb/serial/sierra.ko.gz
license:        GPL
version:        v.1.7.16

[root@localhost ~]# modinfo sierra_net
filename:       /lib/modules/2.6.38.3-desktop-1mnb2/kernel/drivers/net/usb/sierra_net.ko.gz
license:        GPL
version:        v.2.0

[root@localhost ~]# lsmod | grep sierra
sierra                 18065  2 
usbserial              38558  6 sierra
sierra_net             11902  0 
usbnet                 27472  1 sierra_net
usbcore               192385  9 sierra,usbserial,uvcvideo,sierra_net,usbnet,uas,usb_storage,ehci_hcd

[root@localhost ~]# rpm -qa usb_modeswitch
usb_modeswitch-1.1.7-2-mdv2011.0.x86_64

[root@localhost ~]# ifconfig
eth0      Link encap:Ethernet  HWaddr F0:DE:F1:4D:39:A9  
          UP BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
          Interrupt:20 Memory:d2500000-d2520000 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:48 errors:0 dropped:0 overruns:0 frame:0
          TX packets:48 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:2912 (2.8 KiB)  TX bytes:2912 (2.8 KiB)

ppp0      Link encap:Point-to-Point Protocol  
          inet addr:32.176.229.15  P-t-P:10.64.64.64  Mask:255.255.255.255
          UP POINTOPOINT RUNNING NOARP MULTICAST  MTU:1500  Metric:1
          RX packets:2388 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1871 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:3 
          RX bytes:2558688 (2.4 MiB)  TX bytes:178971 (174.7 KiB)
Comment 11 David Batson 2011-04-24 13:11:53 EDT
Created attachment 494544 [details]
Here is dmesg from Mandriva Beta 2 w/working 890 AirCard

I thought to send dmesg from Mandriva Beta 2 in case that helps you solve the issue with Fedora 15.
Comment 12 Chuck Ebbert 2011-04-25 04:08:46 EDT
Can you attach the complete dmesg from Fedora as well?
Comment 13 David Batson 2011-04-25 12:12:26 EDT
Created attachment 494702 [details]
dmesg from F15 at boot up with 890 card installed
Comment 14 David Batson 2011-04-25 12:18:31 EDT
Created attachment 494703 [details]
dmesg from F15 after configuring card with nm-connection-editor

After configuring card with nm-connection-editor, I could turn the card on and off in Network Manager (or whatever it's called these days), and I tried a connection but got an SELINUX alert and the connection failed.
Comment 15 David Batson 2011-04-25 12:19:44 EDT
Created attachment 494704 [details]
SELINUX alert received when trying to connect after configuring card
Comment 16 David Batson 2011-04-25 12:23:44 EDT
Created attachment 494705 [details]
dmesg from F15 after running selinux commands to allow

Ran the following commands to bypass SELINUX alert.

[liveuser@localhost ~]$ su -
[root@localhost ~]# grep pppd /var/log/audit/audit.log | audit2allow -M mypol
******************** IMPORTANT ***********************
To make this policy package active, execute:

semodule -i mypol.pp

[root@localhost ~]# semodule -i mypol.pp
[root@localhost ~]# exit
logout
[liveuser@localhost ~]$ 

Still cannot connect.  See dmesg-3 for latest messages.
Comment 17 David Batson 2011-04-26 11:16:41 EDT
I suppose you noticed that when I run # lsmod | grep sierra in Mandriva, there is an additional module listed: usbcore.

Not sure of it's significance.
Comment 18 Chuck Ebbert 2011-04-26 21:53:03 EDT
(In reply to comment #17)
> I suppose you noticed that when I run # lsmod | grep sierra in Mandriva, there
> is an additional module listed: usbcore.
> 
> Not sure of it's significance.

usbcore is built-in in Fedora.
Comment 19 David Batson 2011-06-13 10:08:27 EDT
Now that I have installed Fedora 15 Gnome final to my hard drive I found that after I installed and ran nm-connnection-editor to set up the modem, and ran the SELINUX commands from Comment 16, then rebooted my Sierra Wireless 890 AirCard is working fine.

I could not reboot with the Live CD so that is why I believe I never got it working with it.

Note You need to log in before you can comment on or make changes to this bug.